#ifndef ACTIVE_H
#define ACTIVE_H

/* flow controls
 * (DO_LOGGING == 0) => no logging of any kind is done.
 * (DO_LISTENER_LOGGING == 1) => the kernel passes audit info to the user-level
 *                               active listener daemon that does the logging
 * (DO_ACKNOWLEDGEMENT == 1) => after sending the audit info to the listener,
 *                              the kernel waits to hear back before going on.
 */
#define DO_LOGGING 1
#define DO_LISTENER_LOGGING 1
#define DO_ACKNOWLEDGEMENT 1

/* recognized/supported file system operations */
#define ACTIVE_FILEOP_CREATE    0
#define ACTIVE_FILEOP_OPEN      1
#define ACTIVE_FILEOP_CLOSE     2
#define ACTIVE_FILEOP_UNLINK    3

/* max size of audit output buffer */
#define MAX_AUDIT_BUFSIZE 312
#define NAMEBUFLEN    256

/* global variables */
extern struct file * fd_kout ;
extern struct file * fd_l2k ;
extern int gfd_kout_err ;
extern int gfd_l2k_err ;

/* function declarations */
extern int minix_write_log(int, char*);

#endif
